Tapestry5-Acegi incompatibility with Tapestry 5.0.6

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Tapestry5-Acegi incompatibility with Tapestry 5.0.6

Thiago H de Paula Figueiredo
Hi!

Robert, please take a look at this: after upgrading my application to  
Tapestry 5.0.6, this exception was thrown:

[snip}
Caused by: java.lang.NoSuchFieldError: BEGIN_RENDER_SIGNATURE
        at  
nu.localhost.tapestry.acegi.services.internal.AcegiWorker.transformPage(AcegiWorker.java:73)
        at  
nu.localhost.tapestry.acegi.services.internal.AcegiWorker.transform(AcegiWorker.java:52)
        at  
$ComponentClassTransformWorker_115dc552130.transform($ComponentClassTransformWorker_115dc552130.java)
        at  
$ComponentClassTransformWorker_115dc55212c.transform($ComponentClassTransformWorker_115dc55212c.java)
        at  
org.apache.tapestry.internal.services.ComponentClassTransformerImpl.transformComponentClass(ComponentClassTransformerImpl.java:131)
        ... 87 more

I'm using Tapestry5-Acegi 1.0.1. Strangely, Tapestry 5.0.6 has  
TransformConstants.BEGIN_RENDER_SIGNATURE, which is what the exception  
talks about.

Could you release a new version with updated dependencies? :) While you do  
not do that, I'll checkout the source and try to figure out what happened.

--
Thiago H. de Paula Figueiredo
Desenvolvedor, Instrutor e Consultor de Tecnologia
Eteg Tecnologia da Informação Ltda.
http://www.eteg.com.br

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Tapestry5-Acegi incompatibility with Tapestry 5.0.6

Robin Helgelin
On 10/26/07, Thiago H de Paula Figueiredo <[hidden email]> wrote:
> Could you release a new version with updated dependencies? :) While you do
> not do that, I'll checkout the source and try to figure out what happened.

I will :) The subversion code is ready, I was just waiting for the
official 5.0.6 release.

--
        regards,
        Robin

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Tapestry5-Acegi incompatibility with Tapestry 5.0.6

Steven Woolley
Quick question... is there any chance of having the acegi setup so that an
@Secured annotation on the class also applies to all the action methods in
that class?  I find it odd that adding the annotation to a class still
allows accessing the action methods (and perhaps a bit of a pain to always
remember that I not only have to secure the page, but all it's action
methods).
Thanks for your work nonetheless!
Steve

On 10/26/07, Robin Helgelin <[hidden email]> wrote:

>
> On 10/26/07, Thiago H de Paula Figueiredo <[hidden email]> wrote:
> > Could you release a new version with updated dependencies? :) While you
> do
> > not do that, I'll checkout the source and try to figure out what
> happened.
>
> I will :) The subversion code is ready, I was just waiting for the
> official 5.0.6 release.
>
> --
>         regards,
>         Robin
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
Reply | Threaded
Open this post in threaded view
|

Re: Tapestry5-Acegi incompatibility with Tapestry 5.0.6

Robin Helgelin
On 10/26/07, Steven Woolley <[hidden email]> wrote:
> Quick question... is there any chance of having the acegi setup so that an
> @Secured annotation on the class also applies to all the action methods in
> that class?  I find it odd that adding the annotation to a class still
> allows accessing the action methods (and perhaps a bit of a pain to always
> remember that I not only have to secure the page, but all it's action
> methods).

I didn't know that one actually, I'll add it to the list.

> Thanks for your work nonetheless!

Thanks!

--
        regards,
        Robin

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Tapestry5-Acegi incompatibility with Tapestry 5.0.6

Robin Helgelin
In reply to this post by Robin Helgelin
On 10/26/07, Robin Helgelin <[hidden email]> wrote:
> On 10/26/07, Thiago H de Paula Figueiredo <[hidden email]> wrote:
> > Could you release a new version with updated dependencies? :) While you do
> > not do that, I'll checkout the source and try to figure out what happened.
>
> I will :) The subversion code is ready, I was just waiting for the
> official 5.0.6 release.

Ok, 1.0.2 release should be available from my maven repository. I'll
see when I have time to check into the active issue.

--
        regards,
        Robin

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]